Bug 1105 - Intreface name (longer than 9 chars) can\'t be displayed by ifconfig from alt3
: Intreface name (longer than 9 chars) can\'t be displayed by ifconfig from alt3
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/net-tools)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-16 11:37 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-16 11:37:55
ifconfig не показывает полностью имя интерфейса/алиаса если
имя имеет длину более 9 символов:
vlan0029: Link encap:Ethernet  HWaddr 00:80:C8:CD:45:65
          inet addr:192.168.0.254  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MASTER MULTICAST  MTU:1500  Metric:1


---

---
Хотелось бы увеличить длину выводимого имени хотя бы на 2 символа.Например, в
данный момент невозможно отобразить 
полное имя алиаса vlan0029:1 - оно обрезается до символа \':\'
------- Comment #1 From 2002-07-16 12:48:14 -------
Надо избегать использования таких длинных имен -
см. описание struct ifreq в /usr/include/net/if.h
------- Comment #2 From 2002-07-16 12:48:14 -------
Надо избегать использования таких длинных имен -
см. описание struct ifreq в /usr/include/net/if.h
------- Comment #3 From 2002-07-17 02:24:21 -------
Может я чего-то недопонял, но судя по if.h - IFNAMSIZ=IF_NAMESIZE=16 симвоов.
А в выводе ifconfig имя режется до 9. strlen(\'vlan0029:10\') = 11.
------- Comment #4 From 2002-07-17 02:24:21 -------
Может я чего-то недопонял, но судя по if.h - IFNAMSIZ=IF_NAMESIZE=16 симвоов.
А в выводе ifconfig имя режется до 9. strlen(\'vlan0029:10\') = 11.
------- Comment #5 From 2002-11-19 20:06:33 -------
Should be fixed in 1.60-alt4; please reopen if not.
------- Comment #6 From 2002-11-19 20:06:33 -------
Should be fixed in 1.60-alt4; please reopen if not.
------- Comment #7 From 2002-12-29 00:48:31 -------
Should be fixed in 1.60-alt4; please reopen if not.
------- Comment #8 From 2002-12-29 00:48:31 -------
Should be fixed in 1.60-alt4; please reopen if not.